/* draft mbed TextLCD 
 * (c) 2007/8, sford
 */
 
#ifndef MBED_TEXTLCD_I2C_H
#define MBED_TEXTLCD_I2C_H

#include "mbed.h"
#include "Stream.h"

class TextLCD_I2C : public Stream {

public:

    TextLCD_I2C(PinName sda, PinName scl, int addr);
            
    virtual void locate(int row, int column);
    virtual void cls();    
    virtual void reset();
    void led(int data);
        
protected:

    void clock();
    void writeData(int data);
    void writeCommand(int command);
    void writeByte(int value);
    void writeNibble(int value);

    void i2cwrite (int data);
    
    void _rs (int data);
    void _rw (int data);    
    void _e (int data);
    void _d (int data);

    virtual int _putc(int c);        
    virtual int _getc();
    virtual void newline();                
            
    int _rows;
    int _columns;
    int _row;
    int _column;    

    int _iodata;
    int _addr;
    
    I2C _i2c;
    
    

};

#endif
